Draft Downgrade/ro: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>
<div class="mw-translate-fuzzy">
{{GuiCommand|Name=Draft Downgrade|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft → Downgrade|Shortcut=D N|SeeAlso=[[Draft Upgrade|Draft Upgrade]]}}
{{GuiCommand|Name=Draft Downgrade|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft → Downgrade|Shortcut=D N|SeeAlso=[[Draft Upgrade|Draft Upgrade]]}}
</div>


==Descriere==
==Descriere==


<div class="mw-translate-fuzzy">
Acest instrument downgradează/ retrogradează/ descompune/ explodează obiectele selectate în moduri diferite. Dacă nu este selectat niciun obiect, veți putea selecta unul.
Acest instrument downgradează/ retrogradează/ descompune/ explodează obiectele selectate în moduri diferite. Dacă nu este selectat niciun obiect, veți putea selecta unul.
</div>

The Downgrade tool performs things such as breaking faces, and deconstructing wires into their individual edges. It can cut a shape with another shape in similar way to [[Part Cut]].

The counterpart to this tool is the [[Draft Upgrade]] operation.


[[Image:Draft_Downgrade_example.jpg|400px]]
[[Image:Draft_Downgrade_example.jpg|400px]]
{{Caption|Face cut from another face; then face downgraded into a closed wire; then downgraded into individual lines}}


== Cum se folosește ==
== Cum se folosește ==


<div class="mw-translate-fuzzy">
# Selectați unul sau mi multe obiecte pe caer vreți să le downgradați
# Selectați unul sau mi multe obiecte pe caer vreți să le downgradați
# apăsați pe butonul {{KEY|[[Image:Draft Downgrade.png|16px]] [[Draft Downgrade]]}} sau apăsați pe tasta {{KEY|D}} și apoi pe {{KEY|N}}
# apăsați pe butonul {{KEY|[[Image:Draft Downgrade.png|16px]] [[Draft Downgrade]]}} sau apăsați pe tasta {{KEY|D}} și apoi pe {{KEY|N}}
</div>

The selected objects are modified or downgraded, according to the following conditions, in order:
# If only one object is selected and it contains more than one face, each face becomes a separate object.
# If there are more than one face in the selection, the subsequent objects are subtracted from the first one.
# If there is only one face in the selection, it gets converted into a wire.
# Otherwise all wires found in the selection are exploded into single edges.


== Opţiuni ==
== Opţiuni ==


<div class="mw-translate-fuzzy">
Les objets sélectionnés sont modifiés / rétrogradés, dans les conditions suivantes (dans l’ordre):
Les objets sélectionnés sont modifiés / rétrogradés, dans les conditions suivantes (dans l’ordre):
* if only one object is selected and it contains more than one face, each face becomes a separate object
* if only one object is selected and it contains more than one face, each face becomes a separate object
Line 20: Line 38:
* if there is only one face in the selection, it gets converted into a wire
* if there is only one face in the selection, it gets converted into a wire
* otherwise all wires found in the selection are exploded into single edges
* otherwise all wires found in the selection are exploded into single edges
</div>


==Exemplu==
==Exemplu==
Line 28: Line 47:
</gallery>
</gallery>


<div class="mw-translate-fuzzy">
==Script==
==Script==
</div>


<div class="mw-translate-fuzzy">
Instrumentul Downgrade poate fi folosit în scripturile python și [[macros]] utilizând următoarea funcție:
Instrumentul Downgrade poate fi folosit în scripturile python și [[macros]] utilizând următoarea funcție:
</div>


{{Code|code=
{{Code|code=
downgrade (objects, [delete], [force])
downgrade_list = downgrade(objects, delete=False, force=None)
addList, deleteList = downgrade(objects, delete=False, force=None)
}}
}}


<div class="mw-translate-fuzzy">
* Downgradează obiectul/e dat/e (poate fi un obiect sau o listă de obiecte).
* Downgradează obiectul/e dat/e (poate fi un obiect sau o listă de obiecte).
* Dacă ștergerea este True, obiectele vechi sunt șterse.
* Dacă ștergerea este True, obiectele vechi sunt șterse.
* Atributul de forță poate fi folosit pentru a forța un anumit mod de dezasambalre. Acesta poate fi: explode, shapify, subtr, splitFaces, cut2, getWire, splitWires.
* Atributul de forță poate fi folosit pentru a forța un anumit mod de dezasambalre. Acesta poate fi: explode, shapify, subtr, splitFaces, cut2, getWire, splitWires.
* Returnează un dicționar care conține două liste, o listă de obiecte noi și o listă de obiecte care trebuie șterse
* Returnează un dicționar care conține două liste, o listă de obiecte noi și o listă de obiecte care trebuie șterse
</div>


Exempluː
Exempluː


{{Code|code=
{{Code|code=
import FreeCADGui,Draft
import FreeCAD, Draft

selection = FreeCADGui.Selection.getSelection()
# Create an union
Draft.downgrade(selection)
Circle = Draft.makeCircle(1000)
Rectangle = Draft.makeRectangle(2000, 800)

addList1, deleteList1 = Draft.upgrade([Circle, Rectangle], delete=True)
union = addList1[0]

# Downgrade the union twice
addList2, deleteList2 = Draft.downgrade(union, delete=False)
wire = addList2[0]

list_edges, deleteList3 = Draft.downgrade(wire, delete=False)

# Insert a solid box
Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 2300
Box.Width = 800
Box.Height = 1000

list_faces, deleteList4 = Draft.downgrade(Box, delete=True)
}}
}}

{{Draft Tools navi}}
{{Userdocnavi}}
{{clear}}

Revision as of 13:00, 8 January 2019

Draft Downgrade

Menu location
Draft → Downgrade
Workbenches
Draft, Arch
Default shortcut
D N
Introduced in version
-
See also
Draft Upgrade

Descriere

Acest instrument downgradează/ retrogradează/ descompune/ explodează obiectele selectate în moduri diferite. Dacă nu este selectat niciun obiect, veți putea selecta unul.

The Downgrade tool performs things such as breaking faces, and deconstructing wires into their individual edges. It can cut a shape with another shape in similar way to Part Cut.

The counterpart to this tool is the Draft Upgrade operation.

Face cut from another face; then face downgraded into a closed wire; then downgraded into individual lines

Cum se folosește

  1. Selectați unul sau mi multe obiecte pe caer vreți să le downgradați
  2. apăsați pe butonul Draft Downgrade sau apăsați pe tasta D și apoi pe N

The selected objects are modified or downgraded, according to the following conditions, in order:

  1. If only one object is selected and it contains more than one face, each face becomes a separate object.
  2. If there are more than one face in the selection, the subsequent objects are subtracted from the first one.
  3. If there is only one face in the selection, it gets converted into a wire.
  4. Otherwise all wires found in the selection are exploded into single edges.

Opţiuni

Les objets sélectionnés sont modifiés / rétrogradés, dans les conditions suivantes (dans l’ordre):

  • if only one object is selected and it contains more than one face, each face becomes a separate object
  • if there are more than one face in the selection, the subsequent objects are subtracted from the first one
  • if there is only one face in the selection, it gets converted into a wire
  • otherwise all wires found in the selection are exploded into single edges

Exemplu

Script

Instrumentul Downgrade poate fi folosit în scripturile python și macros utilizând următoarea funcție:

downgrade_list = downgrade(objects, delete=False, force=None)
addList, deleteList = downgrade(objects, delete=False, force=None)
  • Downgradează obiectul/e dat/e (poate fi un obiect sau o listă de obiecte).
  • Dacă ștergerea este True, obiectele vechi sunt șterse.
  • Atributul de forță poate fi folosit pentru a forța un anumit mod de dezasambalre. Acesta poate fi: explode, shapify, subtr, splitFaces, cut2, getWire, splitWires.
  • Returnează un dicționar care conține două liste, o listă de obiecte noi și o listă de obiecte care trebuie șterse

Exempluː

import FreeCAD, Draft

# Create an union
Circle = Draft.makeCircle(1000)
Rectangle = Draft.makeRectangle(2000, 800)

addList1, deleteList1 = Draft.upgrade([Circle, Rectangle], delete=True)
union = addList1[0]

# Downgrade the union twice
addList2, deleteList2 = Draft.downgrade(union, delete=False)
wire = addList2[0]

list_edges, deleteList3 = Draft.downgrade(wire, delete=False)

# Insert a solid box
Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 2300
Box.Width = 800
Box.Height = 1000

list_faces, deleteList4 = Draft.downgrade(Box, delete=True)